<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sipPorts StructType
 * @subpackage Structs
 */
class SipPorts extends AbstractStructBase
{
    /**
     * The sipPhonePort
     * Meta information extracted from the WSDL
     * - default: 5060
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $sipPhonePort;
    /**
     * The sipPhoneSecurePort
     * Meta information extracted from the WSDL
     * - default: 5061
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $sipPhoneSecurePort;
    /**
     * Constructor method for sipPorts
     * @uses SipPorts::setSipPhonePort()
     * @uses SipPorts::setSipPhoneSecurePort()
     * @param string $sipPhonePort
     * @param string $sipPhoneSecurePort
     */
    public function __construct($sipPhonePort = '5060', $sipPhoneSecurePort = '5061')
    {
        $this
            ->setSipPhonePort($sipPhonePort)
            ->setSipPhoneSecurePort($sipPhoneSecurePort);
    }
    /**
     * Get sipPhonePort value
     * @return string|null
     */
    public function getSipPhonePort()
    {
        return $this->sipPhonePort;
    }
    /**
     * Set sipPhonePort value
     * @param string $sipPhonePort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\SipPorts
     */
    public function setSipPhonePort($sipPhonePort = '5060')
    {
        $this->sipPhonePort = $sipPhonePort;
        return $this;
    }
    /**
     * Get sipPhoneSecurePort value
     * @return string|null
     */
    public function getSipPhoneSecurePort()
    {
        return $this->sipPhoneSecurePort;
    }
    /**
     * Set sipPhoneSecurePort value
     * @param string $sipPhoneSecurePort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\SipPorts
     */
    public function setSipPhoneSecurePort($sipPhoneSecurePort = '5061')
    {
        $this->sipPhoneSecurePort = $sipPhoneSecurePort;
        return $this;
    }
}
